#include <fstream>
#include <iostream>
#include <cstring>
using namespace std;

string getFileContent(const string& file, const bool& parallel)
{
    ifstream fileStream(file, ios::in);
    string lineinput, fullinput;
    if (fileStream.is_open()) while (getline(fileStream, lineinput)) {
        fullinput.append(lineinput += '\n');
    } else throw Yerbacon::Exception("Could not open \"" + file + "\"" + ((not parallel) ? string(" : ").append(strerror(errno)) : ".")); // TODO: Use a thread-safe function when the parallel mode is in use
    fileStream.close();
    return fullinput;
}

void outputFileContent(const string& file, const string_view content) {
    ofstream outputFile (file, ofstream::out);
    outputFile << content;
}